Bug 56990 - With ja_JP.eucJP locale, man shows pages without hyphen.
With ja_JP.eucJP locale, man shows pages without hyphen.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: groff (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-02 04:05 EST by Kazutoshi Morioka
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-02 04:05:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazutoshi Morioka 2001-12-02 04:05:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011122

Description of problem:
In japanese locale (LANG=ja_JP.eucJP), "man foobar" shows
manual-page without hyphen-character, `-`. 
This occur with english-only manpages.
"LANG=ja_JP.eucJP man ls" is OK and shows japanese-page, but
"LANG=ja_JP.eucJP man sar" shows english-page without hyphen.
With alias "japanese", "LANG=japanese man sar" works fine.

This ploblem can be re-produced when running groff solely.
"zcat /usr/share/man/man1/sar.1.gz|LANG=ja_JP.eucJP groff -Tascii -mandoc"
shows same ploblem. 
So, this may be a groff bug, not man or andocj.tmac.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Just type this command.
LANG=ja_JP.eucJP man sar
	

Actual Results:  This command shows manual-page without hyphen character.
sar [ A ] [ b ] [ B ] [ c ] [ d ] [ h ] [ i interval ] [ q
]  [ r ] [ R ] [ t ] [ u ] [ v ] [ V ] [ w ] [ W ] [ y ] [
n { DEV | EDEV | SOCK | FULL } ] [ x { pid | SELF | SUM  |
ALL  } ] [ X { pid | SELF | ALL } ] [ I { irq | SUM | PROC
| ALL | XALL } ] [ U { cpu | ALL } ] [ o [ filename ] |  f
[  filename  ]  ]  [ s [ hh:mm:ss ] ] [ e [ hh:mm:ss ] ] [
interval [ count ] ]


Expected Results:  expected manual-page is
sar [ -A ] [ -b ] [ -B ] [ -c ] [ -d ] [ -h ] [ -i  inter-
val  ]  [ -q ] [ -r ] [ -R ] [ -t ] [ -u ] [ -v ] [ -V ] [
-w ] [ -W ] [ -y ] [ -n { DEV | EDEV | SOCK | FULL }  ]  [
-x  { pid | SELF | SUM | ALL } ] [ -X { pid | SELF | ALL }
] [ -I { irq | SUM | PROC | ALL | XALL } ] [ -U  {  cpu  |
ALL  }  ]  [  -o  [  filename ] | -f [ filename ] ] [ -s [
hh:mm:ss ] ] [ -e [ hh:mm:ss ] ] [ interval [ count ] ]


Additional info:

With korean locale, ko_KR.eucKR, this ploblem not occur.
Also, with japanese Shift-JIS locale, ja_JP.SJIS, not occur.
Comment 1 Florian La Roche 2002-11-04 16:54:39 EST
This seems to work fine with RHL8 and groff-1.18-8 from rawhide.

greetings,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.